AutoCAD Inventor :: How To Delete Objects In Array
Jan 8, 2013
Im making an array of all the sketched symbol definitions in a drawing that are not used in the drawing as a sketched symbol..My problem is that i do not understand how to delete all the objects i have in my array at the end of the code
Dim oDoc As Drawingdocument = ThisDoc.DocumentDim oSkSymDefs As SketchedSymbolDefinitions = oDoc.SketchedsymbolDefinitionsDim oSkSymDef As SketchedSymbolDefinitionDim oSheets As Sheets = oDoc.SheetsDim oSheet As SheetDim oSkSymb As SketchedSymbolDim MyArrayList As New ArrayList
[code]....
So I got my array with all the objects to be deleted. But how to delete?I also believe this code could be a bit more efficient.
is there a way to create an associative array of posts so I only have to edit one part to have the entire array change? that is, I want to have global values for the dimensions in the picture below: post diametervertical width between post centreshorizontal width between post columns (again, centre to centre)vertical shift of each column w.r.t. previous one I've used the Rectangular Pattern tool to create a repetition of my posts, but I want to shift each column of posts up slightly with respect to the one before as in the attached picture:
It seems that if you want to repeat along non-perpendicular axes like this, Inventor fails if there are too many repeats. I came across this when searching the site:
[URL]
I can verify that this is my exact problem but can add that in my example, 4 repeats on the almost horizontal axis and 3 on the vertical work fine. However, 3 almost horizontal axis repeats by 4 vertical axis repeats will only work if I choose the vertical axis as Direction 2. (Is this a bug or am I trying to use the Rectangular Pattern Tool incorrectly?)
The repeat unit can be simplified to 1 circle with 2 construction lines along the repeat Direction instead of the 2x2 circles shown here but the problem persists. Also
I've managed to create an array using custom blocks. This array is obviously comprised of "x" columns and "x" rows. What i'm trying to do is have the ability to essentially link all of the objects per column (and/or per row) with a polyline. So if i have 5 columns generated, I would like to have 5 polylines extend over those columns. Any example of how to do something like this. Essentially what i'm looking to do is create something of a grid using the objects in my array as place markers. And now for a bit of existing code:
//Use the upper-left corner of the objects extents for the array base point Extents3d acExts = bref.Bounds.GetValueOrDefault(); Point2d acPt2dArrayBase = new Point2d(acExts.MinPoint.X, acExts.MaxPoint.Y); //Track the objects created for each column [code]....
It seems like this should be easy but it's not. I have a block with multiple components. I want them to array sequentially as I drag the grip. First one component, then the next, then the next. What I get is all 3 at once when I drag the grip far enough. I tried 3 separate linear parameters with their grips stacked but that didnt work either. What I have attached is a very simplified version of what I want, but I think once I get the concept it will be easy to elaborate on.
I'm currently creating blocks for our office library. One of these is a grille with some apposed blade dampers on it. I'm trying to set up an array that will duplicate the apposed blades as I change the length of the grille. However, it will only copy the blades in pairs, not singly one after the other. Ie, the blades are 100mm apart, and in a / pattern meaning that each instance of / or 'should' duplicate every 200mm. Except when I lengthen the block by 200mm it won't duplicate until I've gone double the distance (400) when it gives me both / and .
Trick to keeping objects aligned with a helix when using an associative path array? The animation below demonstrates the problem where I can't seem to keep the "treads" on a spiral stairs aligned with the center of the helix. (fewer objects accentuate the problem)
how to control the draw order of objects created within an array in a dynamic block?
I have a wipeout, which works fine on the array source, but when the array produces babies, it places them infront of everything (which is only logical), making the wipeout useless.
Can I set array babies to have the same draw order as their parent?
I'm creating a roof in Max, I have made a shingle and applied the array tool to cover the area, now I want to apply a boolean on the entire roof to make a hole on it, however, I think It's necessary to join all the shingles into a single poly in order to allow the boolean operation. They are in a group at the moment and how to join the shingles other than converting them all to poly, making a selectable list and attaching the list to a shingle.
I'm trying to use the PATH array feature on 2013 to array stairs, and I can't get the array to be 100% accurate. It seems like CAD rounds the decimal to the nearest 3/4" which could be causing the problem.
I set my run to 10.5" and rise to 7.25", array along the angle of the stringer, and there's always a small overlap on the stairs. The "distance between" should be 1'-209/256" and CAD rounds it to 1'-3/4" which is where I believe the error is. Is there any way to fix this or array this correctly? Otherwise...back to the COPY method I suppose.
I have one drawing, which has 79 layouts itself. I want to delete some same objects for all layout. Is there any command to edit all layout at one time.
I need a lisp that can remove all objects (lines, polylines, blocks etc.) outside of a polyline. polyline is closed and shape is variable, so not rectangle.
We are using AutoCAD 2013 and our client is using Mechanical Desktop 2009 ,problem we are facing is that we are unable to see the object which they see in the same drawing by giving visible command. These unwanted objects remains even after purging the drawing and we are unable to delete at our end as we cannot see them because there is no such command like visible in AutoCAD.
I just started having an issues with the delete feature. When I click on an object and it highlights it--when i hit the delete button, it doesn't delete the object any more. Also i should be able to click on as many object as i want, now it makes me hold the shift key down. And also when I click on an object then pull the layers tab down to assign it to a diffent layer ---it won't change it now.. what do you think is going on with the software and who might I contact to get this problem corrected.
Is it possible in inventor to make an assembly mirror array? I can't seem to make it keep from just copying the parts. It works OK for circular and rectangular patterns.
Lets say you have 100 Keps Nuts in an assembly. Named (KepsNut1,KepsNut2, etc)And you want to suppress them on and off.
Would there be a way to make an array 1-100 and just say suppress/unsupress "KepsNut" & array list of numbers.To basically add the two strings and find all the components in that array and turn them off or on.!
I'm trying to create a .DLL to access a database from within iLogic. I'm new to VB.net so I'm having some trouble. I need to pass a multidimensional array as an argument to the DLL, but when I try to run the code I get an error that says "Number of indices exceeds the number of dimensions of the indexed array."
Here is my code..
The errors occur on the sData(0,i) and the sData(1,i)
I left all the database code off, because passing the array is the big issue I believe.
Public sub AddRecord(ByRef sData() As String) For i = 0 to FieldQty rst.Fields.Item(sData(0,i).Value = sData(1,i) Next End Sub
I have sometimes an array with 10x45=450 assemblies. Because this slows down my computer dramaticly I use LOD to suppress parts within the assembly. The problem is that I have to expand every single assembly in the array, select all of them and than choose the LOD I want. This takes me a lot of time. Is there a way I can select all assemblies within an array with one (or two) clicks?
I would like to generate a rectangular pattern of extruded tubes which have an internal radius that is proportional to the distance to the centre point of the pattern. Or in other words tubes which are narrower in the centre, and wider at the exterior. Is there a way to do this without resorting to creating each tube individually?
More generally, is there a way to parameterise a feature dimension/parameter so that it is a function of spatial position?
is it possible to have Inventor adjust array elements dependent on the available space.
It should use integer numbers only- as there is room for 25.5 elements it reduces the number of elements to 25.
The array should be be dependent on a measurement to make comparision by eye obsolete, as well as the array is to produce the right number of elements as soon as the space available is measured.